
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>What’s new / Upgrading &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Changes in Varnish 6.0" href="changes-6.0.html" />
    <link rel="prev" title="VTC" href="../reference/vtc.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="changes-6.0.html" title="Changes in Varnish 6.0"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../reference/vtc.html" title="VTC"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">What’s new / Upgrading</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="what-s-new-upgrading">
<span id="whats-new-index"></span><h1>What’s new / Upgrading<a class="headerlink" href="#what-s-new-upgrading" title="Permalink to this headline">¶</a></h1>
<p>This section describes the changes and improvements between different
versions of Varnish, and what upgrading between the different versions
entail.</p>
<section id="varnish-6-0">
<h2>Varnish 6.0<a class="headerlink" href="#varnish-6-0" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="changes-6.0.html">Changes in Varnish 6.0</a></li>
<li class="toctree-l1"><a class="reference internal" href="changes-6.0.html#changes-to-vcl">Changes to VCL</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changes-6.0.html#vcl-variables">VCL variables</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-6.0.html#under-the-hood-mostly-for-developers">Under the hood (mostly for developers)</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-6.0.html#the-stuff-only-we-care-about">The stuff only we care about</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="upgrading-6.0.html">Upgrading to Varnish 6.0</a><ul>
<li class="toctree-l2"><a class="reference internal" href="upgrading-6.0.html#unix-domain-sockets-as-listen-addresses">Unix domain sockets as listen addresses</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-6.0.html#unix-domain-sockets-as-backend-addresses">Unix domain sockets as backend addresses</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-6.0.html#varnishd-parameters">varnishd parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-6.0.html#changes-to-vcl">Changes to VCL</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-6.0.html#packaging-changes">Packaging changes</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-6.0.html#other-changes">Other changes</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="varnish-5-2">
<h2>Varnish 5.2<a class="headerlink" href="#varnish-5-2" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="changes-5.2.html">Changes in Varnish 5.2</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changes-5.2.html#new-vmods-in-the-standard-distribution">New VMODs in the standard distribution</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.2.html#news-for-authors-of-vmods-and-varnish-api-client-applications">News for authors of VMODs and Varnish API client applications</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="upgrading-5.2.html">Upgrading to Varnish 5.2</a><ul>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.2.html#varnish-statistics-and-logging">Varnish statistics and logging</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.2.html#varnishd-parameters">varnishd parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.2.html#changes-to-vcl">Changes to VCL</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.2.html#other-changes">Other changes</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="varnish-5-1">
<h2>Varnish 5.1<a class="headerlink" href="#varnish-5-1" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="changes-5.1.html">Changes in Varnish 5.1</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#startup-cli-command-file">Startup CLI command file</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#universal-vcl-return-fail">Universal VCL return(fail)</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#progress-on-http-2-support">Progress on HTTP/2 support</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#hit-for-pass-has-returned">Hit-For-Pass has returned</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#not-modified-responses-after-a-pass">304 Not Modified responses after a pass</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#vxid-in-vsl-queries">VXID in VSL queries</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#project-tool-improvements">Project tool improvements</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.1.html#news-for-authors-of-vmods-and-varnish-api-client-applications">News for authors of VMODs and Varnish API client applications</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="upgrading-5.1.html">Upgrading to Varnish 5.1</a><ul>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.1.html#varnishd-command-line-options">varnishd command-line options</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.1.html#varnishd-parameters">varnishd parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.1.html#changes-to-vcl">Changes to VCL</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.1.html#other-changes">Other changes</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="varnish-5-0">
<h2>Varnish 5.0<a class="headerlink" href="#varnish-5-0" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="relnote-5.0.html">Varnish 5.0 Release Note</a><ul>
<li class="toctree-l2"><a class="reference internal" href="relnote-5.0.html#how-to-get-varnish-5-0">How to get Varnish 5.0</a></li>
<li class="toctree-l2"><a class="reference internal" href="relnote-5.0.html#reasons-to-upgrade-to-varnish-5-0">Reasons to upgrade to Varnish 5.0</a></li>
<li class="toctree-l2"><a class="reference internal" href="relnote-5.0.html#reasons-not-to-upgrade-to-varnish-5-0">Reasons not to upgrade to Varnish 5.0</a></li>
<li class="toctree-l2"><a class="reference internal" href="relnote-5.0.html#next-release">Next release</a></li>
<li class="toctree-l2"><a class="reference internal" href="relnote-5.0.html#the-obligatory-thank-you-speech">The obligatory thank-you speech</a></li>
<li class="toctree-l2"><a class="reference internal" href="relnote-5.0.html#we-need-more-money">We need more money</a></li>
<li class="toctree-l2"><a class="reference internal" href="relnote-5.0.html#we-also-need-more-manpower">We also need more manpower</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="changes-5.0.html">Changes in Varnish 5.0</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#separate-vcl-files-and-vcl-labels">Separate VCL files and VCL labels</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#very-experimental-http-2-support">Very Experimental HTTP/2 support</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#the-shard-director">The Shard Director</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#hit-for-pass-is-now-actually-hit-for-miss">Hit-For-Pass is now actually Hit-For-Miss</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#ban-lurker-improvements">Ban Lurker Improvements</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#request-body-sent-always-cacheable-post">Request Body sent always / “cacheable POST”</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#esi-and-backend-request-coalescing-waitinglist-improvement">ESI and Backend Request Coalescing (“waitinglist”) Improvement</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#backend-proxy-protocol-requests">Backend PROXY protocol requests</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#default-vcl-search-path">Default VCL search path</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#devicedetect-vcl">devicedetect.vcl</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#varnishtest">varnishtest</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#misc">misc</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-5.0.html#news-for-vmod-authors">News for VMOD authors</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="upgrading-5.0.html">Upgrading to Varnish 5.0</a><ul>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.0.html#changes-to-vcl">Changes to VCL</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.0.html#management-interface">Management interface</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.0.html#changes-to-parameters">Changes to parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-5.0.html#other-changes">Other changes</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="varnish-4-1">
<h2>Varnish 4.1<a class="headerlink" href="#varnish-4-1" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="changes-4.1.html">Changes in Varnish 4.1</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#proactive-security-features">Proactive security features</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#warm-and-cold-vcl-configurations">Warm and cold VCL configurations</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#proxy-protocol-support">PROXY protocol support</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#vmod-backends">VMOD backends</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#backend-connection-timeout">Backend connection timeout</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#protocol-support">Protocol support</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#more-modules-available">More modules available</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#passing-data-between-esi-requests">Passing data between ESI requests</a></li>
<li class="toctree-l2"><a class="reference internal" href="changes-4.1.html#other-noteworthy-small-changes">Other noteworthy small changes</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="upgrading-4.1.html">Upgrading to Varnish 4.1</a><ul>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.1.html#changes-to-vcl">Changes to VCL</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.1.html#management-interface">Management interface</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.1.html#runtime-users-and-groups">Runtime users and groups</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.1.html#changes-to-parameters">Changes to parameters</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="varnish-4-0">
<h2>Varnish 4.0<a class="headerlink" href="#varnish-4-0" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="upgrading-4.0.html">Upgrading to Varnish 4.0</a><ul>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.0.html#changes-to-vcl">Changes to VCL</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.0.html#changes-to-existing-parameters">Changes to existing parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.0.html#new-parameters-since-3-0">New parameters since 3.0</a></li>
<li class="toctree-l2"><a class="reference internal" href="upgrading-4.0.html#other-changes">Other changes</a></li>
</ul>
</li>
</ul>
</div>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">What’s new / Upgrading</a><ul>
<li><a class="reference internal" href="#varnish-6-0">Varnish 6.0</a></li>
<li><a class="reference internal" href="#varnish-5-2">Varnish 5.2</a></li>
<li><a class="reference internal" href="#varnish-5-1">Varnish 5.1</a></li>
<li><a class="reference internal" href="#varnish-5-0">Varnish 5.0</a></li>
<li><a class="reference internal" href="#varnish-4-1">Varnish 4.1</a></li>
<li><a class="reference internal" href="#varnish-4-0">Varnish 4.0</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="../reference/vtc.html"
                        title="previous chapter">VTC</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="changes-6.0.html"
                        title="next chapter">Changes in Varnish 6.0</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/whats-new/index.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="changes-6.0.html" title="Changes in Varnish 6.0"
             >next</a> |</li>
        <li class="right" >
          <a href="../reference/vtc.html" title="VTC"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">What’s new / Upgrading</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>